libsigc++: sigc::compose1_functor< T_setter, T_getter > Struct Template Reference

# sigc::compose1_functor< T_setter, T_getter > Struct Template Reference
[compose()]

Adaptor that combines two functors. More...

`#include <sigc++/adaptors/compose.h>`

Inheritance diagram for sigc::compose1_functor< T_setter, T_getter >:
[legend]

List of all members.

## Public Types
typedef adapts< T_setter > ::adaptor_type | adaptor_type
typedef T_setter | setter_type
typedef T_getter | getter_type
typedef adaptor_type::result_type | result_type
## Public Member Functions
result_type | operator() ()
template <class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_a1)
template <class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1 , class T_arg2 , class T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > ::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| compose1_functor (const T_setter& _A_setter, const T_getter& _A_getter)
| Constructs a compose1_functor object that combines the passed functors.
## Public Attributes
getter_type | get_

## Detailed Description

### template <class T_setter, class T_getter>
struct sigc::compose1_functor< T_setter, T_getter >

Adaptor that combines two functors.

Use the convenience function sigc::compose() to create an instance of sigc::compose1_functor.

The following template arguments are used:

- T_setter Type of the setter functor to wrap.
- T_getter Type of the getter functor to wrap.

## Constructor & Destructor Documentation

template <class T_setter , class T_getter >

sigc::compose1_functor< T_setter, T_getter >::compose1_functor | ( | const T_setter & | _A_setter,
|  | const T_getter & | _A_getter |
| ) |  |  | `[inline]`

Constructs a compose1_functor object that combines the passed functors.

Parameters:

  | _A_setter | Functor that receives the return values of the invokation of _A_getter1 and _A_getter2.
  | _A_getter1 | Functor to invoke from operator()().
  | _A_getter2 | Functor to invoke from operator()().